Ruby: BigStruct Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
BigStruct Struct Reference

## Data Fields
uint8_t | a
int8_t | b
uint16_t | c
int16_t | d
uint32_t | e
int32_t | f
uint64_t | g
int64_t | h
float | i
double | j
long double | k
char * | l
uint8_t | m
int8_t | n
uint16_t | o
int16_t | p
uint32_t | q
int32_t | r
uint64_t | s
int64_t | t
float | u
double | v
long double | w
char * | x
uint8_t | y
int8_t | z
uint16_t | aa
int16_t | bb
uint32_t | cc
int32_t | dd
uint64_t | ee
int64_t | ff
float | gg
double | hh
long double | ii
char * | jj
uint8_t | kk
int8_t | ll
uint16_t | mm
int16_t | nn
uint32_t | oo
int32_t | pp
uint64_t | qq
int64_t | rr
float | ss
double | tt
long double | uu
char * | vv
uint8_t | ww
int8_t | xx

## Detailed Description

Definition at line 16 of file huge_struct.c.

## Field Documentation

## ◆ a

uint8_t BigStruct::a

Definition at line 17 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ aa

uint16_t BigStruct::aa

Definition at line 43 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ b

int8_t BigStruct::b

Definition at line 18 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ bb

int16_t BigStruct::bb

Definition at line 44 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ c

uint16_t BigStruct::c

Definition at line 19 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ cc

uint32_t BigStruct::cc

Definition at line 45 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ d

int16_t BigStruct::d

Definition at line 20 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ dd

int32_t BigStruct::dd

Definition at line 46 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ e

uint32_t BigStruct::e

Definition at line 21 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ ee

uint64_t BigStruct::ee

Definition at line 47 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ f

int32_t BigStruct::f

Definition at line 22 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ ff

int64_t BigStruct::ff

Definition at line 48 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ g

uint64_t BigStruct::g

Definition at line 23 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ gg

float BigStruct::gg

Definition at line 49 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ h

int64_t BigStruct::h

Definition at line 24 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ hh

double BigStruct::hh

Definition at line 50 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ i

float BigStruct::i

Definition at line 25 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ ii

long double BigStruct::ii

Definition at line 51 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ j

double BigStruct::j

Definition at line 26 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ jj

char* BigStruct::jj

Definition at line 52 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ k

long double BigStruct::k

Definition at line 27 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ kk

uint8_t BigStruct::kk

Definition at line 53 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ l

char* BigStruct::l

Definition at line 28 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ ll

int8_t BigStruct::ll

Definition at line 54 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ m

uint8_t BigStruct::m

Definition at line 29 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ mm

uint16_t BigStruct::mm

Definition at line 55 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ n

int8_t BigStruct::n

Definition at line 30 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ nn

int16_t BigStruct::nn

Definition at line 56 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ o

uint16_t BigStruct::o

Definition at line 31 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ oo

uint32_t BigStruct::oo

Definition at line 57 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ p

int16_t BigStruct::p

Definition at line 32 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ pp

int32_t BigStruct::pp

Definition at line 58 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ q

uint32_t BigStruct::q

Definition at line 33 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ qq

uint64_t BigStruct::qq

Definition at line 59 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ r

int32_t BigStruct::r

Definition at line 34 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ rr

int64_t BigStruct::rr

Definition at line 60 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ s

uint64_t BigStruct::s

Definition at line 35 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ ss

float BigStruct::ss

Definition at line 61 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ t

int64_t BigStruct::t

Definition at line 36 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ tt

double BigStruct::tt

Definition at line 62 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ u

float BigStruct::u

Definition at line 37 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ uu

long double BigStruct::uu

Definition at line 63 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ v

double BigStruct::v

Definition at line 38 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ vv

char* BigStruct::vv

Definition at line 64 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ w

long double BigStruct::w

Definition at line 39 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ ww

uint8_t BigStruct::ww

Definition at line 65 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ x

char* BigStruct::x

Definition at line 40 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ xx

int8_t BigStruct::xx

Definition at line 66 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ y

uint8_t BigStruct::y

Definition at line 41 of file huge_struct.c.

Referenced by main(), and test_large_fn().

## ◆ z

int8_t BigStruct::z

Definition at line 42 of file huge_struct.c.

Referenced by main(), and test_large_fn().

The documentation for this struct was generated from the following file:

- ext/fiddle/libffi-3.2.1/testsuite/libffi.call/huge_struct.c